package com.op.wms.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.op.common.core.annotation.Excel;
import com.op.common.core.web.domain.BaseEntity;

/**
 * 货位管理对象 base_location
 * 
 * @author Open Platform
 * @date 2023-07-06
 */
public class BaseLocation extends BaseEntity {
	private static final long serialVersionUID = 1L;

	/** 主键uuid */
	private String locationId;

	/** 货位编码 */
	@Excel(name = "货位编码")
	private String locationCode;

	/** 上架顺序 */
	@Excel(name = "上架顺序")
	private String shelfOrder;

	/** 盘点顺序 */
	@Excel(name = "盘点顺序")
	private String checkOrder;

	/** 拣货顺序 */
	@Excel(name = "拣货顺序")
	private String pickOrder;

	/** 货位使用 */
	@Excel(name = "货位使用")
	private String locationUse;

	/** 是否允许拣货 */
	@Excel(name = "是否允许拣货")
	private String pickFlag;

	/** 是否开启库内交接 */
	@Excel(name = "是否开启库内交接")
	private String isOpenKnFlag;

	/** 货位类型：0-平面库货位 */
	@Excel(name = "货位类型：0-平面库货位")
	private String locationType;

	/** 是否报废货位 */
	@Excel(name = "是否报废货位")
	private String locationScrapType;

	/** 货位属性 */
	@Excel(name = "货位属性")
	private String locationAttr;

	/** 周转需求 */
	@Excel(name = "周转需求")
	private String turnDemand;

	/** 库存环境 */
	@Excel(name = "库存环境")
	private String stockEnv;

	/** 仓库编码 */
	@Excel(name = "仓库编码")
	private String warehouseCode;

	/** 区域编码 */
	@Excel(name = "区域编码")
	private String regionCode;

	/** 库区编码 */
	@Excel(name = "库区编码")
	private String areaCode;

	/** 校验码 */
	@Excel(name = "校验码")
	private String checkCode;

	/** 工作区 */
	@Excel(name = "工作区")
	private String workArea;

	/** 端口1 */
	@Excel(name = "端口1")
	private String port1;

	/** 端口2 */
	@Excel(name = "端口2")
	private String port2;

	/** 端口3 */
	@Excel(name = "端口3")
	private String port3;

	/** 体积限制 */
	@Excel(name = "体积限制")
	private BigDecimal volumeLimit;

	/** 重量限制 */
	@Excel(name = "重量限制")
	private BigDecimal weightLimit;

	/** 箱数限制* */
	@Excel(name = "箱数限制*")
	private Long boxLimit;

	/** 数量限制 */
	@Excel(name = "数量限制")
	private Long qtyLimit;

	/** 托盘限制* */
	@Excel(name = "托盘限制*")
	private Long palletLimit;

	/** 长度 */
	@Excel(name = "长度")
	private BigDecimal length;

	/** 宽度 */
	@Excel(name = "宽度")
	private BigDecimal width;

	/** 高度 */
	@Excel(name = "高度")
	private BigDecimal height;

	/** X坐标 */
	@Excel(name = "X坐标")
	private Long xCoordinate;

	/** Y坐标 */
	@Excel(name = "Y坐标")
	private Long yCoordinate;

	/** Z坐标 */
	@Excel(name = "Z坐标")
	private Long zCoordinate;

	/** X像素 */
	@Excel(name = "X像素")
	private Long xPixels;

	/** Y像素 */
	@Excel(name = "Y像素")
	private Long yPixels;

	/** Z像素 */
	@Excel(name = "Z像素")
	private Long zPixels;

	/** 排 */
	@Excel(name = "排")
	private String locRow;

	/** 层数 */
	@Excel(name = "层数")
	private Long layerNum;

	/** 列 */
	@Excel(name = "列")
	private String locColumn;

	/** 巷道 */
	@Excel(name = "巷道")
	private String bord;

	/** 允许混放产品 */
	@Excel(name = "允许混放产品")
	private String productMix;

	/** 允许混放批次 */
	@Excel(name = "允许混放批次")
	private String batchMix;

	/** 忽略ID */
	@Excel(name = "忽略ID")
	private String ignoreId;

	/** 激活标记 */
	@Excel(name = "激活标记")
	private String activeFlag;

	/** 货位标志：0-普通货位 */
	@Excel(name = "货位标志：0-普通货位")
	private String userDefined1;

	/** 用户自定义2 */
	@Excel(name = "用户自定义2")
	private String userDefined2;

	/** 用户自定义3 */
	@Excel(name = "用户自定义3")
	private String userDefined3;

	/** 工厂 */
	@Excel(name = "工厂")
	private String factoryCode;

	/** $column.columnComment */
	@Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
	private String syntozk;

	public void setLocationId(String locationId) {
		this.locationId = locationId;
	}

	public String getLocationId() {
		return locationId;
	}
	public void setLocationCode(String locationCode) {
		this.locationCode = locationCode;
	}

	public String getLocationCode() {
		return locationCode;
	}
	public void setShelfOrder(String shelfOrder) {
		this.shelfOrder = shelfOrder;
	}

	public String getShelfOrder() {
		return shelfOrder;
	}
	public void setCheckOrder(String checkOrder) {
		this.checkOrder = checkOrder;
	}

	public String getCheckOrder() {
		return checkOrder;
	}
	public void setPickOrder(String pickOrder) {
		this.pickOrder = pickOrder;
	}

	public String getPickOrder() {
		return pickOrder;
	}
	public void setLocationUse(String locationUse) {
		this.locationUse = locationUse;
	}

	public String getLocationUse() {
		return locationUse;
	}
	public void setPickFlag(String pickFlag) {
		this.pickFlag = pickFlag;
	}

	public String getPickFlag() {
		return pickFlag;
	}
	public void setIsOpenKnFlag(String isOpenKnFlag) {
		this.isOpenKnFlag = isOpenKnFlag;
	}

	public String getIsOpenKnFlag() {
		return isOpenKnFlag;
	}
	public void setLocationType(String locationType) {
		this.locationType = locationType;
	}

	public String getLocationType() {
		return locationType;
	}
	public void setLocationScrapType(String locationScrapType) {
		this.locationScrapType = locationScrapType;
	}

	public String getLocationScrapType() {
		return locationScrapType;
	}
	public void setLocationAttr(String locationAttr) {
		this.locationAttr = locationAttr;
	}

	public String getLocationAttr() {
		return locationAttr;
	}
	public void setTurnDemand(String turnDemand) {
		this.turnDemand = turnDemand;
	}

	public String getTurnDemand() {
		return turnDemand;
	}
	public void setStockEnv(String stockEnv) {
		this.stockEnv = stockEnv;
	}

	public String getStockEnv() {
		return stockEnv;
	}
	public void setWarehouseCode(String warehouseCode) {
		this.warehouseCode = warehouseCode;
	}

	public String getWarehouseCode() {
		return warehouseCode;
	}
	public void setRegionCode(String regionCode) {
		this.regionCode = regionCode;
	}

	public String getRegionCode() {
		return regionCode;
	}
	public void setAreaCode(String areaCode) {
		this.areaCode = areaCode;
	}

	public String getAreaCode() {
		return areaCode;
	}
	public void setCheckCode(String checkCode) {
		this.checkCode = checkCode;
	}

	public String getCheckCode() {
		return checkCode;
	}
	public void setWorkArea(String workArea) {
		this.workArea = workArea;
	}

	public String getWorkArea() {
		return workArea;
	}
	public void setPort1(String port1) {
		this.port1 = port1;
	}

	public String getPort1() {
		return port1;
	}
	public void setPort2(String port2) {
		this.port2 = port2;
	}

	public String getPort2() {
		return port2;
	}
	public void setPort3(String port3) {
		this.port3 = port3;
	}

	public String getPort3() {
		return port3;
	}
	public void setVolumeLimit(BigDecimal volumeLimit) {
		this.volumeLimit = volumeLimit;
	}

	public BigDecimal getVolumeLimit() {
		return volumeLimit;
	}
	public void setWeightLimit(BigDecimal weightLimit) {
		this.weightLimit = weightLimit;
	}

	public BigDecimal getWeightLimit() {
		return weightLimit;
	}
	public void setBoxLimit(Long boxLimit) {
		this.boxLimit = boxLimit;
	}

	public Long getBoxLimit() {
		return boxLimit;
	}
	public void setQtyLimit(Long qtyLimit) {
		this.qtyLimit = qtyLimit;
	}

	public Long getQtyLimit() {
		return qtyLimit;
	}
	public void setPalletLimit(Long palletLimit) {
		this.palletLimit = palletLimit;
	}

	public Long getPalletLimit() {
		return palletLimit;
	}
	public void setLength(BigDecimal length) {
		this.length = length;
	}

	public BigDecimal getLength() {
		return length;
	}
	public void setWidth(BigDecimal width) {
		this.width = width;
	}

	public BigDecimal getWidth() {
		return width;
	}
	public void setHeight(BigDecimal height) {
		this.height = height;
	}

	public BigDecimal getHeight() {
		return height;
	}
	public void setxCoordinate(Long xCoordinate) {
		this.xCoordinate = xCoordinate;
	}

	public Long getxCoordinate() {
		return xCoordinate;
	}
	public void setyCoordinate(Long yCoordinate) {
		this.yCoordinate = yCoordinate;
	}

	public Long getyCoordinate() {
		return yCoordinate;
	}
	public void setzCoordinate(Long zCoordinate) {
		this.zCoordinate = zCoordinate;
	}

	public Long getzCoordinate() {
		return zCoordinate;
	}
	public void setxPixels(Long xPixels) {
		this.xPixels = xPixels;
	}

	public Long getxPixels() {
		return xPixels;
	}
	public void setyPixels(Long yPixels) {
		this.yPixels = yPixels;
	}

	public Long getyPixels() {
		return yPixels;
	}
	public void setzPixels(Long zPixels) {
		this.zPixels = zPixels;
	}

	public Long getzPixels() {
		return zPixels;
	}
	public void setLocRow(String locRow) {
		this.locRow = locRow;
	}

	public String getLocRow() {
		return locRow;
	}
	public void setLayerNum(Long layerNum) {
		this.layerNum = layerNum;
	}

	public Long getLayerNum() {
		return layerNum;
	}
	public void setLocColumn(String locColumn) {
		this.locColumn = locColumn;
	}

	public String getLocColumn() {
		return locColumn;
	}
	public void setBord(String bord) {
		this.bord = bord;
	}

	public String getBord() {
		return bord;
	}
	public void setProductMix(String productMix) {
		this.productMix = productMix;
	}

	public String getProductMix() {
		return productMix;
	}
	public void setBatchMix(String batchMix) {
		this.batchMix = batchMix;
	}

	public String getBatchMix() {
		return batchMix;
	}
	public void setIgnoreId(String ignoreId) {
		this.ignoreId = ignoreId;
	}

	public String getIgnoreId() {
		return ignoreId;
	}
	public void setActiveFlag(String activeFlag) {
		this.activeFlag = activeFlag;
	}

	public String getActiveFlag() {
		return activeFlag;
	}
	public void setUserDefined1(String userDefined1) {
		this.userDefined1 = userDefined1;
	}

	public String getUserDefined1() {
		return userDefined1;
	}
	public void setUserDefined2(String userDefined2) {
		this.userDefined2 = userDefined2;
	}

	public String getUserDefined2() {
		return userDefined2;
	}
	public void setUserDefined3(String userDefined3) {
		this.userDefined3 = userDefined3;
	}

	public String getUserDefined3() {
		return userDefined3;
	}
	public void setFactoryCode(String factoryCode) {
		this.factoryCode = factoryCode;
	}

	public String getFactoryCode() {
		return factoryCode;
	}
	public void setSyntozk(String syntozk) {
		this.syntozk = syntozk;
	}

	public String getSyntozk() {
		return syntozk;
	}

	@Override
	public String toString() {
		return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
			.append("locationId", getLocationId())
			.append("locationCode", getLocationCode())
			.append("shelfOrder", getShelfOrder())
			.append("checkOrder", getCheckOrder())
			.append("pickOrder", getPickOrder())
			.append("locationUse", getLocationUse())
			.append("pickFlag", getPickFlag())
			.append("isOpenKnFlag", getIsOpenKnFlag())
			.append("locationType", getLocationType())
			.append("locationScrapType", getLocationScrapType())
			.append("locationAttr", getLocationAttr())
			.append("turnDemand", getTurnDemand())
			.append("stockEnv", getStockEnv())
			.append("warehouseCode", getWarehouseCode())
			.append("regionCode", getRegionCode())
			.append("areaCode", getAreaCode())
			.append("checkCode", getCheckCode())
			.append("workArea", getWorkArea())
			.append("port1", getPort1())
			.append("port2", getPort2())
			.append("port3", getPort3())
			.append("volumeLimit", getVolumeLimit())
			.append("weightLimit", getWeightLimit())
			.append("boxLimit", getBoxLimit())
			.append("qtyLimit", getQtyLimit())
			.append("palletLimit", getPalletLimit())
			.append("length", getLength())
			.append("width", getWidth())
			.append("height", getHeight())
			.append("xCoordinate", getxCoordinate())
			.append("yCoordinate", getyCoordinate())
			.append("zCoordinate", getzCoordinate())
			.append("xPixels", getxPixels())
			.append("yPixels", getyPixels())
			.append("zPixels", getzPixels())
			.append("locRow", getLocRow())
			.append("layerNum", getLayerNum())
			.append("locColumn", getLocColumn())
			.append("bord", getBord())
			.append("productMix", getProductMix())
			.append("batchMix", getBatchMix())
			.append("ignoreId", getIgnoreId())
			.append("activeFlag", getActiveFlag())
			.append("userDefined1", getUserDefined1())
			.append("userDefined2", getUserDefined2())
			.append("userDefined3", getUserDefined3())
			.append("createBy", getCreateBy())
			.append("createTime", getCreateTime())
			.append("updateBy", getUpdateBy())
			.append("updateTime", getUpdateTime())
			.append("remark", getRemark())
			.append("factoryCode", getFactoryCode())
			.append("syntozk", getSyntozk())
			.toString();
	}
}
